Bug 467944 - ping : permission denied
ping : permission denied
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-21 15:42 EDT by Edwin Schepers
Modified: 2008-10-23 14:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-23 14:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edwin Schepers 2008-10-21 15:42:16 EDT
Description of problem:
When I 'ping www.google.com' I get the message : ping: icmp open socket: Permission denied (translated)
Using root gives no problem. Using a normal user gives the error
Comment 1 Miroslav Grepl 2008-10-21 19:07:36 EDT
This problem is still lasting with both the permissive mode and the enforce mode. There is SUID bit for ping missing. Then everything is all right.
Comment 2 Daniel Walsh 2008-10-22 09:55:48 EDT
Edwin,  Are you using confined users?

id -Z
Comment 3 Edwin Schepers 2008-10-23 11:57:08 EDT
bash-3.2$ id -Z

Is that good or bad?
Comment 4 Daniel Walsh 2008-10-23 14:49:08 EDT
Good, is the suid bit for ping set?

chmod 4755 /bin/ping

Should fix.

This is not an SELinux bug.

Note You need to log in before you can comment on or make changes to this bug.